Getting distribution for 'senaite.lims' error


#1

Hi. cant install senaite. Used guides from Complete setup guide, step-by-step and https://www.ridingbytes.com/wiki/#content. The problem is:
After step Add senaite.lims to the eggs section of the file:

eggs =
    ...
    senaite.lims
zcml =
...

and run $ bin/buildout got this error:

Uninstalling instance.
Installing instance.
Getting distribution for 'senaite.lims'.
While:
Installing instance.
Getting distribution for 'senaite.lims'.
Error: Download error for https://files.pythonhosted.org/packages/fb/40/1cdd5d28080f6d38d53ce1ffd58fb57b7a0344ce4e291550e26f209781de/senaite.lims-1.3.1.zip#sha256=8dcb6e313cb7ddb444fff74dd6ce31fccf43a7d28c92b61aa4c8dfe11635995e: [SSL: TLSV1_ALERT_ACCESS_DENIED] tlsv1 alert access denied (_ssl.c:727)```
Can someone help?
P.S. OS is Ubuntu 18.04.3

#2

From the Gitter Channel:
Try PYTHONHTTPSVERIFY=0 bin/buildout and make sure that you’re on Python 2.7.
Also check python -c "import ssl; print(ssl.OPENSSL_VERSION)", it should be something like OpenSSL 1.1.1b 26 Feb 2019


#3

I find this confusing. With --build-python the program seems to build its own python versions (which lacks certain packages). How do you use miniconda for this? I have not seen any installation instruction that includes something like --with-python=/…/miniconda/envs/…


#4

With the new installation instructions everything works.
Thanks